{
  inputs,
  nix-meow,
  config,
  lib,
  pkgs,
  system,
  ...
}:
let
  pkg = inputs.quickshell.packages.${system}.quickshell;
  cfg = config.modules.quickshell;
in
{
  options.modules.quickshell = {
    enable = lib.mkEnableOption "quickshell configuration module";
  };
  config.xdg.configFile."quickshell" = lib.mkIf cfg.enable {
    recursive = true;
    source = config.lib.file.mkOutOfStoreSymlink /home/doloro/dotfiles/modules/quickshell/quickshell;
  };
  config.systemd.user.services.quickshell = lib.mkIf cfg.enable {
    Unit = {
      Description = "Quickshell daemon";
      After = [ "hyprland-session.target" ];
    };
    Install = {
      WantedBy = [ "default.target" ];
    };
    Service = {
      ExecStart = "${pkg}/bin/quickshell";
      Restart = "on-failure";
      RestartSec = "5s";
    };
  };
}
